Page MenuHomePhabricator

Flow: mediawiki notification exceptions: "Argument 1 passed to Flow\UrlGenerator::workflowLink() must be an instance of Title", UUID instead
Closed, ResolvedPublic

Description

exception.log in production has a steady stream of these. All on mediawikiwiki, either from Special:Notifications. 103 of them, starting May 11.

These seem to be notifications for the current user, so you don't get them if you visit this URL yourself. It's unclear what user is getting these errors. The failure is coming from

extensions/Echo/formatters/BasicFormatter.php(647): Flow\NotificationFormatter->processParam(Object(EchoEvent), 'topic-permalink', Object(Message), Object(User))

2014-06-03 00:04:12 mw1191 mediawikiwiki: [36f37e94] /w/api.php?action=query&format=json&meta=notifications&notformat=flyout&notlimit=8&notprop=index%7Clist%7Ccount&_=1401753850252 Exception from line 357 of /usr/local/apache/common-local/php-1.24wmf7/extensions/Flow/includes/UrlGenerator.php: Catchable fatal error: Argument 1 passed to Flow\UrlGenerator::workflowLink() must be an instance of Title, instance of Flow\Model\UUID given, called in /usr/local/apache/common-local/php-1.24wmf7/extensions/Flow/includes/Notifications/Formatter.php on line 54

and

[f5218bdd] /wiki/Special:Notifications Exception from line 343 of /usr/local/apache/common-local/php-1.24wmf6/extensions/Flow/includes/UrlGenerator.php: Catchable fatal error: Argument 1 passed to Flow\UrlGenerator::workflowLink() must be an instance of Title, instance of Flow\Model\UUID given, called in /usr/local/apache/common-local/php-1.24wmf6/extensions/Flow/includes/Notifications/Formatter.php on line 54 and defined

full trace of most recent:

2014-06-03 00:04:12 mw1191 mediawikiwiki: [36f37e94] /w/api.php?action=query&format=json&meta=notifications&notformat=f
lyout&notlimit=8&notprop=index%7Clist%7Ccount&_=1401753850252 Exception from line 357 of /usr/local/apache/common-loc
al/php-1.24wmf7/extensions/Flow/includes/UrlGenerator.php: Catchable fatal error: Argument 1 passed to Flow\UrlGenerato
r::workflowLink() must be an instance of Title, instance of Flow\Model\UUID given, called in /usr/local/apache/common-l
ocal/php-1.24wmf7/extensions/Flow/includes/Notifications/Formatter.php on line 54 and defined
#0 /usr/local/apache/common-local/php-1.24wmf7/extensions/Flow/includes/UrlGenerator.php(357): EchoNotificationControll
er::formatterErrorHandler(4096, 'Argument 1 pass...', '/usr/local/apac...', 357, Array)
#1 /usr/local/apache/common-local/php-1.24wmf7/extensions/Flow/includes/Notifications/Formatter.php(54): Flow\UrlGenera
tor->workflowLink(Object(Flow\Model\UUID))
#2 /usr/local/apache/common-local/php-1.24wmf7/extensions/Echo/formatters/BasicFormatter.php(647): Flow\NotificationFormatter->processParam(Object(EchoEvent), 'topic-permalink', Object(Message), Object(User))
#3 /usr/local/apache/common-local/php-1.24wmf7/extensions/Echo/formatters/BasicFormatter.php(361): EchoBasicFormatter->processParams(Array, Object(EchoEvent), Object(Message), Object(User))
#4 /usr/local/apache/common-local/php-1.24wmf7/extensions/Echo/formatters/BasicFormatter.php(260): EchoBasicFormatter->formatFragment(Array, Object(EchoEvent), Object(User))
#5 /usr/local/apache/common-local/php-1.24wmf7/extensions/Echo/formatters/BasicFormatter.php(222): EchoBasicFormatter->formatNotificationTitle(Object(EchoEvent), Object(User))
#6 /usr/local/apache/common-local/php-1.24wmf7/extensions/Echo/controller/NotificationController.php(338): EchoBasicFormatter->format(Object(EchoEvent), Object(User), 'web')
#7 /usr/local/apache/common-local/php-1.24wmf7/extensions/Echo/api/ApiEchoNotifications.php(144): EchoNotificationController::formatNotification(Object(EchoEvent), Object(User), 'flyout')
#8 /usr/local/apache/common-local/php-1.24wmf7/extensions/Echo/api/ApiEchoNotifications.php(26): ApiEchoNotifications::getNotifications(Object(User), 'flyout', 9, NULL)
#9 /usr/local/apache/common-local/php-1.24wmf7/includes/api/ApiQuery.php(282): ApiEchoNotifications->execute()

and

2014-05-29 18:36:08 mw1213 mediawikiwiki: [f5218bdd] /wiki/Special:Notifications Exception from line 343 of /usr/loca
l/apache/common-local/php-1.24wmf6/extensions/Flow/includes/UrlGenerator.php: Catchable fatal error: Argument 1 passed
to Flow\UrlGenerator::workflowLink() must be an instance of Title, instance of Flow\Model\UUID given, called in /usr/lo
cal/apache/common-local/php-1.24wmf6/extensions/Flow/includes/Notifications/Formatter.php on line 54 and defined
#0 /usr/local/apache/common-local/php-1.24wmf6/extensions/Flow/includes/UrlGenerator.php(343): EchoNotificationControll
er::formatterErrorHandler(4096, 'Argument 1 pass...', '/usr/local/apac...', 343, Array)
#1 /usr/local/apache/common-local/php-1.24wmf6/extensions/Flow/includes/Notifications/Formatter.php(54): Flow\UrlGenera
tor->workflowLink(Object(Flow\Model\UUID))
#2 /usr/local/apache/common-local/php-1.24wmf6/extensions/Echo/formatters/BasicFormatter.php(647): Flow\NotificationFor
matter->processParam(Object(EchoEvent), 'topic-permalink', Object(Message), Object(User))
#3 /usr/local/apache/common-local/php-1.24wmf6/extensions/Echo/formatters/BasicFormatter.php(361): EchoBasicFormatter->
processParams(Array, Object(EchoEvent), Object(Message), Object(User))
#4 /usr/local/apache/common-local/php-1.24wmf6/extensions/Echo/formatters/BasicFormatter.php(262): EchoBasicFormatter->
formatFragment(Array, Object(EchoEvent), Object(User))
#5 /usr/local/apache/common-local/php-1.24wmf6/extensions/Echo/formatters/BasicFormatter.php(222): EchoBasicFormatter->
formatNotificationTitle(Object(EchoEvent), Object(User))
#6 /usr/local/apache/common-local/php-1.24wmf6/extensions/Echo/controller/NotificationController.php(338): EchoBasicFor
matter->format(Object(EchoEvent), Object(User), 'web')
#7 /usr/local/apache/common-local/php-1.24wmf6/extensions/Echo/api/ApiEchoNotifications.php(144): EchoNotificationContr
oller::formatNotification(Object(EchoEvent), Object(User), 'html')
#8 /usr/local/apache/common-local/php-1.24wmf6/extensions/Echo/special/SpecialNotifications.php(41): ApiEchoNotificatio
ns::getNotifications(Object(User), 'html', 21, NULL)
#9 /usr/local/apache/common-local/php-1.24wmf6/includes/specialpage/SpecialPage.php(379): SpecialNotifications->execute
(NULL)


Version: master
Severity: normal

Details

Reference
bz66060

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:26 AM
bzimport set Reference to bz66060.
bzimport added a subscriber: Unknown Object (MLST).

Change 136958 had a related patch set uploaded by Bsitu:
Flow: notification exceptions: urlGenerator->workflowLink()

https://gerrit.wikimedia.org/r/136958

Change 136958 merged by jenkins-bot:
Flow: notification exceptions: urlGenerator->workflowLink()

https://gerrit.wikimedia.org/r/136958

All patches mentioned in this report are merged - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:34 AM